/*
Alban Francesco

Questa classe serve per il calcolo di tutte le statistiche (tempo di attesa, di risposta, di turnaround, e rispettivi tempi medi) e crea un oggetto di tipo stat per poterli poi passare tutti insieme alle altre classi
*/
package classFile;
public class Calcolo
{
	//dichiarazioni variabili
	public int tempo;
	//numero processi
   public int n;
   //vettore tempo di risposta
	public double []risposta;
	//vettore tempo turnaround risposta
	public double []around;
	//tempi medi
	public double trisposta=0.0, tattesa=0.0, taround=0.0;
	public double[] partenza;
	public double[] fine;
		
	public Calcolo(int tempo,int n)
	{
		this.tempo=tempo;
		this.n=n;
		risposta=new double[this.n];
		around=new double[this.n];
		//inizializzo tutti i tempi di risposta a -1
		for (int i=0;i<this.n;i++)
		{
			risposta[i]=-1;
		}
	}	
	public Calcolo(double []partenza,double []fine,int n)
	{		
		this.n=n;
		this.partenza=partenza;
		this.fine=fine;
		risposta=new double[this.n];
		around=new double[this.n];
		for (int i=0;i<this.n;i++)
		{
			risposta[i]=-1;
		}
	}
	//metodo calcola statistiche per gli algoritmi non preemptive
	public stat calcola(double []attesa,Processo []p)
	{
		for(int j=0;j<n;j++)
		{
			around[j]=attesa[j]+p[j].getTcIniz();			
			tattesa+=attesa[j];
			taround+=around[j];
			risposta[j]=partenza[j]-p[j].getTa();			
			trisposta+=risposta[j];			
		}
		tattesa=tattesa/n;		
		trisposta=trisposta/n;				
		taround=taround/n;
		//creo l'oggetto stat	
		stat st=new stat(risposta,around,partenza,fine,attesa,tattesa,trisposta,taround);
		return st;

	}
	//metodo calcola statistiche per gli algoritmi preemptive
	public stat calcola(double []attesa,Processo []p,double []esecuzione)
	{
		for(int j=0;j<n;j++)
		{
			around[j]=attesa[j]+p[j].getTcIniz();
			tattesa+=attesa[j];
			taround+=around[j];	
			risposta[j]=partenza[j]-p[j].getTa();
			trisposta+=risposta[j];
		}
		tattesa=tattesa/n;
		trisposta=trisposta/n;
		taround=taround/n;
		//creo l'oggetto stat 	
		stat st=new stat(risposta,around,partenza,fine,attesa,tattesa,trisposta,taround,esecuzione);
		return st;
	}
}
