/*
	Alban Francesco
	
	Classe dove viene creata la finestra contenente il grafico
*/
package classFile;
import java.awt.*;
public class FinestraGrafico
{
	//dichiarazioni variabili
	public Frame f3;
	public Panel p3;
	public Label lll[];
	public Button statistiche,cambialgoritmo,cambianumero;
	public FinestraGrafico()
	{
		//creo il colore per lo sfondo
		Color coll=new Color(77,249,157);
		//creo la finestra
		f3=new Frame("Grafico dello scheduling");
		//setto il colore per lo sfondo
		f3.setBackground(coll);
		//creo due pannelli per una migliore impaginazione
		Panel p1=new Panel();
		Panel p2=new Panel();
		//setto la dimensione dei pannelli (larghezza,altezza)
		p1.setSize(1004,100);		
		p2.setSize(1004,250);
		//setto la posizione dei pannelli (p2 e' piu' in alto)		
		p1.setLocation(10,608);
		p2.setLocation(10,200);
		//metto la finestra in alto a sinistra
		f3.setLocation(0,0);
		//setto la dimensione
		f3.setSize(1024,768);
		//aggiungo alla finestra i pannelli
		f3.add(p1);
		f3.add(p2);	
		//setto l'"ascoltatore" per la finestra
		f3.addWindowListener(new GestoreFinestra());
		//setto il layout di p1 a griglia (1 riga, 1 colonna)
		p1.setLayout(new GridLayout(1,1,10,10));	
		//setto il colore dei pannelli	
		p1.setBackground(coll);		
		p2.setBackground(coll);
		//setto il layout a griglia per p2 (5 righe, 2 colonne)
		p2.setLayout(new GridLayout(5,2,10,10));		
		//setto la finestra non ridimensionabile e invisibile
		f3.setResizable(false);
		f3.setVisible(false);
		//creo i bottoni
		cambialgoritmo=new Button("Cambia algoritmo");		
		cambianumero=new Button("Cambia numero processi");	
		statistiche=new Button("Statistiche processi");	
		//setto il colore dei bottoni
		cambialgoritmo.setBackground(coll);
		cambianumero.setBackground(coll);
		statistiche.setBackground(coll);		
		//dichiaro un vettore di etichette
		lll=new Label[10];
		//aggiungo i bottoni alla finestra
		p1.add(cambialgoritmo);
		p1.add(cambianumero);		
		p1.add(statistiche);
		for(int i=0;i<10;i++)
		{
			//creo l'etichetta con la scritta Processo "numero". Aggiungo 1 a i per partire da 1.
			lll[i]=new Label("Processo " + String.valueOf(i+1),Label.CENTER);
			//in base al numero assegno un colore di background all'etichetta
			if(i==0)
			{
				lll[i].setForeground(Color.white);
				lll[i].setBackground(Color.black);
			}
			if(i==1)
				lll[i].setBackground(Color.yellow);
			if(i==2)
				lll[i].setBackground(Color.green);
			if(i==3)
				lll[i].setBackground(Color.cyan);
			if(i==4)
				lll[i].setBackground(Color.pink);			
			if(i==5)
				lll[i].setBackground(Color.red);
			if(i==6)
				lll[i].setBackground(Color.blue);
			if(i==7)
				lll[i].setBackground(Color.orange);
			if(i==8)
				lll[i].setBackground(Color.gray);
			if(i==9)
				lll[i].setBackground(Color.white);
			//aggiungo l'etichetta al p2 e la setto invisibile per renderla
			//visibile in un secondo momento
			p2.add(lll[i]);
			lll[i].setVisible(false);
		}
		//creo un oggetto gestore bottone
		//e aggiungo il grafico (per ora vuoto)
		GestoreBottone gb=new GestoreBottone(f3);
		gb.f3.add(gb);		
	}
}
