/*
	Alban Francesco
	
	Classe per la creazione della finestra iniziale 
	per la scelta del numero dei processi
*/
package classFile;
import java.awt.*;
public class FinestraPrincipale
{
	//dichiarazione variabili
	public Button avanti;
	public Frame f;
	public Choice nprocessi;
	public FinestraPrincipale()
	{		
		//creo un colore
		Color coll=new Color(77,249,157);
		//creo la finestra
		f= new Frame("Test Gui");		
		//setto la dimensione
		f.setSize(500,100);	
		//setto l'ascoltatore
		f.addWindowListener(new GestoreFinestra());
		//metto la finestra in alto a sinistra
		f.setLocation(0,0);		
		//setto la finestra non ridimensionabile e visibile
		f.setResizable(false);
		f.setVisible(true);
		//creo un pannello
		Panel p=new Panel();
		p.setSize(500,100);
		//setto il layout di tipo flow. Questo layout mette gli oggetti uno dietro l'altro
		p.setLayout(new FlowLayout(FlowLayout.CENTER));
		//setto il colore dello sfondo del pannello
		p.setBackground(coll);
		//aggiungo il pannello
		f.add(p);			
		//creo una label
		p.add(new Label("Scegli il numero di processi "));
		//creo il menu a tendina e aggiungo gli elementi
		nprocessi=new Choice();
		nprocessi.setBackground(coll);
		nprocessi.addItem("2");
		nprocessi.addItem("3");
		nprocessi.addItem("4");
		nprocessi.addItem("5");
		nprocessi.addItem("6");
		nprocessi.addItem("7");
		nprocessi.addItem("8");
		nprocessi.addItem("9");
		nprocessi.addItem("10");
		//aggiungo il menu a tendina
		p.add(nprocessi);
		//creo il bottone e lo aggiungo
		avanti=new Button("Avanti");
		avanti.setBackground(coll);
		p.add(avanti);		
	}
}
