/*
	Alban Francesco
	
	Classe per la creazione della finestra per la visualizzazione delle
	statistiche dei processi
*/
package classFile;
import java.awt.*;
public class FinestraRisultati 
{
	//dichiarazione delle variabili
	public Frame f2;		
	public Button cambialg,cambianum,torna;
	public TextField []tat;
	public TextField tatm,trispm,turnm;
	public TextField []trisp;
	public TextField []turn;
	public Label []ll;		
	public FinestraRisultati()
	{
		//creo due colori
		Color col=new Color(21,191,101);
		Color coll=new Color(77,249,157);
		//creo i bottoni 
		cambialg=new Button("Cambia algoritmo");						
		torna=new Button("Visualizza grafico");
		cambianum=new Button("Cambia numero processi");
		//setto il colore dei bottoni
		cambialg.setBackground(coll);
		torna.setBackground(coll);
		cambianum.setBackground(coll);
		//creo la finestra
		f2= new Frame("Statistiche Processi");		
		//setto la dimensione della finestra e aggiungo l'"ascoltatore"
		f2.setSize(1024,768);			
		f2.addWindowListener(new GestoreFinestra());
		//setto la posizione della finestra e la pongo non redimensionabile e invisibile
		f2.setLocation(0,0);		
		f2.setResizable(false);
		f2.setVisible(false);		
		//setto il colore per lo sfondo
		f2.setBackground(coll);
		//setto il layout a griglia (15 righe, 4 colonne)
		f2.setLayout(new GridLayout(15,4,5,5));
		//creo un'etichetta vuota per rispettare l'ordinamento
		f2.add(new Label());
		//aggiungo i tasti
		f2.add(torna);
		f2.add(cambialg);
		f2.add(cambianum);
		//aggiungo 4 etichette con la scritta al centro
		f2.add(new Label("Processo numero",Label.CENTER));			
		f2.add(new Label("Tempo di attesa",Label.CENTER));
		f2.add(new Label("Tempo di risposta",Label.CENTER));
		f2.add(new Label("Tempo di turnaround",Label.CENTER));
		//creo 3 vettori di caselle di testo per contenere il tempo di attesa, risposta e turnaround 
		//di ogni processo e 1 di label
		tat=new TextField[10];
		trisp=new TextField[10];
		turn=new TextField[10];
		ll=new Label[10];
		//creo 3 caselle di testo per contenere i valori di tempo di attesa, tempo di risposta e turnaround medi
		//e setto il colore
		tatm=new TextField(5);
		trispm=new TextField(5);	
		turnm=new TextField(5);		
		tatm.setBackground(col);
		trispm.setBackground(col);
		turnm.setBackground(col);		
		for(int i=0;i<10;i++)
		{
			//creo l'etichetta con il numero del processo. Aggiungo 1 a i per partire da 1.
			String s=String.valueOf(i+1);			
			ll[i]=new Label(s,Label.CENTER);
			//aggiungo l'etichetta
			f2.add(ll[i]);
			//creo le caselle di testo, assegno il colore, le rendo invisibili
			//e le aggiungo alla finestra
			tat[i]=new TextField(5);
			trisp[i]=new TextField(5);
			turn[i]=new TextField(5);
			tat[i].setBackground(col);
			trisp[i].setBackground(col);
			turn[i].setBackground(col);
			tat[i].setVisible(false);
			trisp[i].setVisible(false);
			turn[i].setVisible(false);
			ll[i].setVisible(false);
			f2.add(tat[i]);					
			f2.add(trisp[i]);
			f2.add(turn[i]);									
		}
		//creo un'etichetta nuova per rispettare l'ordinamento
		f2.add(new Label());
		//creo 4 label 
		f2.add(new Label("Tempo di attesa medio",Label.CENTER));
		f2.add(new Label("Tempo di risposta medio",Label.CENTER));
		f2.add(new Label("Tempo di turnaround medio",Label.CENTER));
		f2.add(new Label());
		//aggiungo le etichette per i tempi medi
		f2.add(tatm);
		f2.add(trispm);
		f2.add(turnm);		
	}
}
