/*
	Alban Francesco
	Questa classe crea un oggetto contenente tutti i dati necessari per lo scheduling
	dei processi.
	Per ogni valore sono presenti i metodi getXXX() e setXXX() per gestire tali valori
*/
package classFile;
import java.io.*;
public class Processo
{
	//ta è il tempo di arrivo tc il tempo di computazione	p e' la priorita'
	//tciniz e' il tempo di computazione iniziale. Serve per non perdere questo dato
	//necessario per il calcolo delle statistiche.
	private double ta,tc,p,quanto,tciniz;
	public double getTa()
	{
		return ta;
	}
	public double getTc()
	{
		return tc;
	}
	public double getTcIniz()
	{
		return tciniz;
	}
	public double getP()
	{
		return p;
	}
	public void setP(double pr)
	{
		p=pr;
	}
	public void setTa(double tar)
	{
		ta=tar;
	}
	public double getQuanto()
	{
		return quanto;
	}
	public void setQuanto(double q)
	{
		quanto=q;
	}
	public void setTc(double tco)
	{
		tc=tco;
	}
	//costruttore
	public Processo(double tar,double tco)
	{
		ta=tar;
		tc=tco;
		tciniz=tco;
	}
	//costruttore per gli algoritmi di scheduling a priorita'
	public Processo(double tar,double tco,double pr)
	{
		ta=tar;
		tc=tco;
		tciniz=tco;
		p=pr;
	}
	//costruttore di default
	public Processo()
	{
		ta=0.0;
		tc=0.0;
		tciniz=0.0;
		p=0.0;
		quanto=0.0;
	}
}
