package classFile;
class Coda
{
    /* 
    	Implementazione di una coda mediante vettore circolare per gli algoritmi di Round Robin
    */
     private int[] V;
     private int dimensione;
     private int testa;
     private int coda;

    public Coda(int dim)
    {
		dimensione = dim;
		V = new int[dim];
		testa = 0;
		coda = 0;
    }
    
    public Coda enqueue(Coda c, int n)
    {
		if (codapiena(c)) 
			System.out.println("Coda piena");
	   else 
	   {
	   	c.V[c.coda] = n; // inserisce n in coda
			c.coda = (c.coda+1)%c.dimensione; // punta al prox elem libero
	   }
		return(c);
    }

    public Coda dequeue(Coda c)
    {
		if (!codavuota(c)) 
			c.testa = (c.testa+1)%c.dimensione;
	   else 
	   	{}
		return(c);
    }
    
    public int top(Coda c)
    {
		if (!codavuota(c)) 
			return(c.V[c.testa]);
		else 
		{ 
			
	       return(-1);
	 	}
    }
    
    public boolean codavuota(Coda c)
    {
		return(c.testa==c.coda);
    }
    
    public boolean codapiena(Coda c)
    {
		/** lascia sempre una posizione vuota nel vettore */
		return((c.coda+1)%c.dimensione==c.testa);
    }
    public void stampa()
    {
		for(int i=0;i<dimensione;i++)
		{
			int temp=V[i]+1;
			System.out.println("elemento " + temp + " posiz "+ i);
		}
    }
}
